Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer.propertyrender
Class FillImageRender

    java.lang.Object
      nextapp.echo2.webcontainer.propertyrender.FillImageRender

    public class FillImageRender

extends java.lang.Object

Utility class for rendering `nextapp.echo2.FillImage` properties to CSS.

Field Summary
`static int` | `FLAG_DISABLE_FIXED_MODE` A flag indicating that the 'fixed' property of the `FillImage` should be ignored.
`static int` | `FLAG_ENABLE_IE_PNG_ALPHA_FILTER` A flag indicating that the Internet Explorer 6.0 PNG AlphaImageLoader filter should be enabled for Internet Explorer clients that might "benefit" from it.

Method Summary
`static void` | `renderToStyle(CssStyle cssStyle, RenderContext rc, ImageRenderSupport irs, Component component, java.lang.String imageId, FillImage fillImage, int flags)` Renders a `FillImage` to a CSS style.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLAG_DISABLE_FIXED_MODE

    public static final int FLAG_DISABLE_FIXED_MODE

  A flag indicating that the 'fixed' property of the `FillImage` should be ignored.

  See Also:
    Constant Field Values

### FLAG_ENABLE_IE_PNG_ALPHA_FILTER

    public static final int FLAG_ENABLE_IE_PNG_ALPHA_FILTER

  A flag indicating that the Internet Explorer 6.0 PNG AlphaImageLoader filter should be enabled for Internet Explorer clients that might "benefit" from it. Enabling this flag can however have serious unacceptable side-effects for Internet Explorer clients: If the flag is enabled, Images will be SCALED to span the entire region. IE will ignore any positioning/repeat information if this flag is enabled. Further, the browser may in fact not allow the user to click on any content within the region. Use of this flag is thus strongly discouraged in most all situations.

  This flag has no effect for clients other than Internet Explorer 6.0.

  See Also:
    Constant Field Values

Method Detail

### renderToStyle

    public static void renderToStyle(CssStyle cssStyle,
                                     RenderContext rc,
                                     ImageRenderSupport irs,
                                     Component component,
                                     java.lang.String imageId,
                                     FillImage fillImage,
                                     int flags)

  Renders a `FillImage` to a CSS style.

  Parameters:
    `cssStyle` - the CSS style to be updated
    `rc` - the relevant `RenderContext`
    `irs` - a `ComponentSynchronizePeer` providing `ImageRenderSupport`
    `component` - the relevant `Component`
    `imageId` - the image id of the background image
    `fillImage` - the `FillImage` property value
    `flags` - optional image rendering flags (see `FLAG_XXX` constants)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD